Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class DefaultErrorHandler

    java.lang.Object
      org.apache.batik.transcoder.DefaultErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class DefaultErrorHandler

extends Object
implements ErrorHandler

A default `ErrorHandler` that throws a `TranscoderException` when a fatal error occured and display a message when a warning or an error occured.

Constructor Summary
`DefaultErrorHandler()`

Method Summary
`void` | `error(TranscoderException ex)` Invoked when an error occured while transcoding.
`void` | `fatalError(TranscoderException ex)` Invoked when an fatal error occured while transcoding.
`void` | `warning(TranscoderException ex)` Invoked when a warning occured while transcoding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler()

Method Detail

### error

    public void error(TranscoderException ex)
               throws TranscoderException

  Invoked when an error occured while transcoding.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `ex` - the error informations encapsulated in a TranscoderException
  Throws:
    `TranscoderException` - if the method want to forward the exception

### fatalError

    public void fatalError(TranscoderException ex)
                    throws TranscoderException

  Invoked when an fatal error occured while transcoding.

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Parameters:
    `ex` - the fatal error informations encapsulated in a TranscoderException
  Throws:
    `TranscoderException` - if the method want to forward the exception

### warning

    public void warning(TranscoderException ex)
                 throws TranscoderException

  Invoked when a warning occured while transcoding.

  Specified by:
    `warning` in interface `ErrorHandler`
  Parameters:
    `ex` - the warning informations encapsulated in a TranscoderException
  Throws:
    `TranscoderException` - if the method want to forward the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.